<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    app:layoutDescription="@xml/fragment_home_scene2"
    android:fitsSystemWindows="true"
    android:id="@+id/icCoornodator"
    android:background="@color/customColorSecondary"
    tools:context=".ui.home.HomeFragment">
    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appBarLayout"
        android:layout_width="match_parent"
        android:layout_height="152dp"
        android:fitsSystemWindows="true"
        android:theme="@style/ThemeOverlay.MaterialComponents.Dark"
        >

        <com.google.android.material.appbar.CollapsingToolbarLayout
            android:id="@+id/CollapToolBarLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:fitsSystemWindows="true"
            app:contentScrim="@color/white"
            app:statusBarScrim="@color/white"
            app:layout_scrollFlags="scroll|exitUntilCollapsed|snap"
            >

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:scaleType="centerCrop"
                android:fitsSystemWindows="true"
                app:layout_collapseMode="parallax"
                android:src="@drawable/backgroundheader" />

            <androidx.appcompat.widget.Toolbar
                android:id="@+id/toolbar"
                android:layout_width="match_parent"
                android:layout_height="?attr/actionBarSize"
                android:elevation="0dp"
                app:contentInsetEnd="0dp"
                app:contentInsetStartWithNavigation="0dp"
                app:layout_collapseMode="pin"
                android:theme="@style/ThemeOverlay.MaterialComponents.Light"
                app:menu="@menu/top_app_bar">
                <TextView
                    android:id="@+id/selectLocation"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textStyle="bold"
                    android:drawableLeft="@drawable/ic_baseline_person_pin_circle_24"
                    android:text="Atur lokasi anda!" />
            </androidx.appcompat.widget.Toolbar>



            <com.mancj.materialsearchbar.MaterialSearchBar
                android:id="@+id/searchBarHome"
                style="@style/MaterialSearchBarLight"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:fitsSystemWindows="true"
                app:mt_hint="Custom hint"
                app:layout_collapseMode="parallax"
                android:layout_gravity="bottom"
                android:layout_margin="16dp"
                android:scaleType="centerCrop"
                app:mt_placeholder="Apa yang anda butuhkan ?"
                app:mt_searchBarColor="@color/customColorPrimary_200"
                app:mt_speechMode="false" />

        </com.google.android.material.appbar.CollapsingToolbarLayout>

    </com.google.android.material.appbar.AppBarLayout>
    <androidx.core.widget.NestedScrollView

        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_behavior="@string/appbar_scrolling_view_behavior">

        <!-- Scrollable content -->

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/react"
            android:orientation="vertical"
            android:padding="16dp">

            <TextView
                android:id="@+id/textViewNews"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:shadowColor="#000000"
                android:text="Berita Populer"
                android:textSize="16sp"

                android:textStyle="bold" />

            <androidx.viewpager2.widget.ViewPager2
                android:layout_width="match_parent"
                android:layout_marginTop="10dp"
                android:layout_marginBottom="10dp"
                android:layout_height="250dp" >

            </androidx.viewpager2.widget.ViewPager2>

            <TextView
                android:id="@+id/textViewNews2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:shadowColor="#000000"
                android:text="Jasa Populer"
                android:textSize="16sp"
                android:textStyle="bold"
                android:layout_marginBottom="10dp"
                />
            <HorizontalScrollView
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    >
                    <com.google.android.material.card.MaterialCardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="8dp">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical">

                            <!-- Media -->
                            <ImageView
                                android:layout_width="150dp"
                                android:layout_height="194dp"
                                app:srcCompat="@drawable/backgroundheader"
                                android:scaleType="centerCrop"
                                android:contentDescription="@string/content_description_media"
                                />

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                android:padding="16dp">

                                <!-- Title, secondary and supporting text -->
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Jual Buah Background layer "
                                    android:textSize="14sp"
                                    />
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="8dp"
                                    android:text="Rp 680.000"
                                    android:textAppearance="?attr/textAppearanceBody2"
                                    android:textColor="?android:attr/textColorSecondary"
                                    />
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="16dp"
                                    android:text="Depok"
                                    android:textAppearance="?attr/textAppearanceBody2"
                                    android:textColor="?android:attr/textColorSecondary"
                                    />

                            </LinearLayout>


                        </LinearLayout>

                    </com.google.android.material.card.MaterialCardView>
                    <com.google.android.material.card.MaterialCardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="8dp">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical">

                            <!-- Media -->
                            <ImageView
                                android:layout_width="150dp"
                                android:layout_height="194dp"
                                app:srcCompat="@drawable/backgroundheader"
                                android:scaleType="centerCrop"
                                android:contentDescription="@string/content_description_media"
                                />

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                android:padding="16dp">

                                <!-- Title, secondary and supporting text -->
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Jual Buah Background layer "
                                    android:textSize="14sp"
                                    />
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="8dp"
                                    android:text="Rp 680.000"
                                    android:textAppearance="?attr/textAppearanceBody2"
                                    android:textColor="?android:attr/textColorSecondary"
                                    />
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="16dp"
                                    android:text="Depok"
                                    android:textAppearance="?attr/textAppearanceBody2"
                                    android:textColor="?android:attr/textColorSecondary"
                                    />

                            </LinearLayout>


                        </LinearLayout>

                    </com.google.android.material.card.MaterialCardView>
                    <com.google.android.material.card.MaterialCardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="8dp">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical">

                            <!-- Media -->
                            <ImageView
                                android:layout_width="150dp"
                                android:layout_height="194dp"
                                app:srcCompat="@drawable/backgroundheader"
                                android:scaleType="centerCrop"
                                android:contentDescription="@string/content_description_media"
                                />

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                android:padding="16dp">

                                <!-- Title, secondary and supporting text -->
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Jual Buah Background layer "
                                    android:textSize="14sp"
                                    />
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="8dp"
                                    android:text="Rp 680.000"
                                    android:textAppearance="?attr/textAppearanceBody2"
                                    android:textColor="?android:attr/textColorSecondary"
                                    />
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="16dp"
                                    android:text="Depok"
                                    android:textAppearance="?attr/textAppearanceBody2"
                                    android:textColor="?android:attr/textColorSecondary"
                                    />

                            </LinearLayout>


                        </LinearLayout>

                    </com.google.android.material.card.MaterialCardView>
                    <com.google.android.material.card.MaterialCardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="8dp">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical">

                            <!-- Media -->
                            <ImageView
                                android:layout_width="150dp"
                                android:layout_height="194dp"
                                app:srcCompat="@drawable/backgroundheader"
                                android:scaleType="centerCrop"
                                android:contentDescription="@string/content_description_media"
                                />

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                android:padding="16dp">

                                <!-- Title, secondary and supporting text -->
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Jual Buah Background layer "
                                    android:textSize="14sp"
                                    />
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="8dp"
                                    android:text="Rp 680.000"
                                    android:textAppearance="?attr/textAppearanceBody2"
                                    android:textColor="?android:attr/textColorSecondary"
                                    />
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="16dp"
                                    android:text="Depok"
                                    android:textAppearance="?attr/textAppearanceBody2"
                                    android:textColor="?android:attr/textColorSecondary"
                                    />

                            </LinearLayout>


                        </LinearLayout>

                    </com.google.android.material.card.MaterialCardView>
                    <com.google.android.material.card.MaterialCardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="8dp">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical">

                            <!-- Media -->
                            <ImageView
                                android:layout_width="150dp"
                                android:layout_height="194dp"
                                app:srcCompat="@drawable/backgroundheader"
                                android:scaleType="centerCrop"
                                android:contentDescription="@string/content_description_media"
                                />

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                android:padding="16dp">

                                <!-- Title, secondary and supporting text -->
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Jual Buah Background layer "
                                    android:textSize="14sp"
                                    />
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="8dp"
                                    android:text="Rp 680.000"
                                    android:textAppearance="?attr/textAppearanceBody2"
                                    android:textColor="?android:attr/textColorSecondary"
                                    />
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="16dp"
                                    android:text="Depok"
                                    android:textAppearance="?attr/textAppearanceBody2"
                                    android:textColor="?android:attr/textColorSecondary"
                                    />

                            </LinearLayout>


                        </LinearLayout>

                    </com.google.android.material.card.MaterialCardView>
                    <com.google.android.material.card.MaterialCardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="8dp">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical">

                            <!-- Media -->
                            <ImageView
                                android:layout_width="150dp"
                                android:layout_height="194dp"
                                app:srcCompat="@drawable/backgroundheader"
                                android:scaleType="centerCrop"
                                android:contentDescription="@string/content_description_media"
                                />

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                android:padding="16dp">

                                <!-- Title, secondary and supporting text -->
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Jual Buah Background layer "
                                    android:textSize="14sp"
                                    />
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="8dp"
                                    android:text="Rp 680.000"
                                    android:textAppearance="?attr/textAppearanceBody2"
                                    android:textColor="?android:attr/textColorSecondary"
                                    />
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="16dp"
                                    android:text="Depok"
                                    android:textAppearance="?attr/textAppearanceBody2"
                                    android:textColor="?android:attr/textColorSecondary"
                                    />

                            </LinearLayout>


                        </LinearLayout>

                    </com.google.android.material.card.MaterialCardView>
                    <com.google.android.material.card.MaterialCardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="8dp">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical">

                            <!-- Media -->
                            <ImageView
                                android:layout_width="150dp"
                                android:layout_height="194dp"
                                app:srcCompat="@drawable/backgroundheader"
                                android:scaleType="centerCrop"
                                android:contentDescription="@string/content_description_media"
                                />

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                android:padding="16dp">

                                <!-- Title, secondary and supporting text -->
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="Jual Buah Background layer "
                                    android:textSize="14sp"
                                    />
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="8dp"
                                    android:text="Rp 680.000"
                                    android:textAppearance="?attr/textAppearanceBody2"
                                    android:textColor="?android:attr/textColorSecondary"
                                    />
                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="16dp"
                                    android:text="Depok"
                                    android:textAppearance="?attr/textAppearanceBody2"
                                    android:textColor="?android:attr/textColorSecondary"
                                    />

                            </LinearLayout>


                        </LinearLayout>

                    </com.google.android.material.card.MaterialCardView>
                </LinearLayout>

            </HorizontalScrollView>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</androidx.coordinatorlayout.widget.CoordinatorLayout>